<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetUpdatedPaths Method (IEdmRefItem2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRefItem2 Interface : GetUpdatedPaths Method (IEdmRefItem2)

Visual Basic
C#
C++/CLI

ppoUpdatedPathArr
  Array of EdmUpdatedRefPaths

Gets the old and new paths of references that have been moved or renamed by another client.

# Syntax

Visual Basic |
--- | ---

    Sub GetUpdatedPaths( _
       ByRef ppoUpdatedPathArr() As EdmUpdatedRefPath _
    )

C# |
--- | ---

    void GetUpdatedPaths(
       out EdmUpdatedRefPath[] ppoUpdatedPathArr
    )

C++/CLI |
--- | ---

    void GetUpdatedPaths(
    &   [Out] array<EdmUpdatedRefPath>^ ppoUpdatedPathArr
    )

#### Parameters

ppoUpdatedPathArr
  Array of EdmUpdatedRefPaths

# See Also

####

IEdmRefItem2 Interface
IEdmRefItem2 Members

# Availability

SOLIDWORKS PDM Professional 2021 SP04